package net.xdclass.shopmanager.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import net.xdclass.shopmanager.mapper.SubMapper;
import net.xdclass.shopmanager.model.*;
import net.xdclass.shopmanager.service.SubService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

@Service
public class SubServiceImpl implements SubService {

    @Autowired
    private SubMapper subMapper;

    //    获取板坯信息
    @Override
    public List<SlabInfoDO> getSlabInfo(SubParams subParams) {

        return  subMapper.getSlabInfo(subParams);

    }

    //    获取订单信息
    @Override
    public List<PmProContDO> getOrderInfo() {

        return  subMapper.getOrderInfo();

    }

    //    生产合同产品属性表
    @Override
    public List<PmProContProdAttrDO> getPmProCountProdAttr() {

        return  subMapper.getPmProCountProdAttr();

    }

    //    合同产线工艺参数表
    @Override
    public List<PmContMscTechDO> getPmContMscTech() {

        return  subMapper.getPmContMscTech();

    }

    //    组板设计规则集
    @Override
    public List<PmPdRuleSetDO> getPmPdRuleSet() {

        return  subMapper.getPmPdRuleSet();

    }

    //    组板设计规则集详细
    @Override
    public List<PmPdRuleItemDO> getPmPdRuleItem() {

        return  subMapper.getPmPdRuleItem();

    }

    //    最小轧制厚度公差范围基准表
    @Override
    public List<PmMinThickTolBtDO> getPmMinThickTolBt() {

        return  subMapper.getPmMinThickTolBt();

    }

    //    钢板轧制规格对应收得率基准表
    @Override
    public List<PmPlateSpecYieldBtDO> getPmPlateSpecYieldBt() {

        return  subMapper.getPmPlateSpecYieldBt();

    }

    //    强度级别对照基准表
    @Override
    public List<PmStCodeBtDO> getPmStCodeBt() {

        return  subMapper.getPmStCodeBt();

    }

    //    粗切位置决定基准表
    @Override
    public List<PmCutPlaceBtDO> getPmCutPlaceBt() {

        return  subMapper.getPmCutPlaceBt();

    }

    //    组板常数基准表
    @Override
    public List<PmPdConstBtDO> getPmPdConstBt() {

        return  subMapper.getPmPdConstBt();

    }

    //    钢板切缝切头尾范围基准表
    @Override
    public List<PmPlateCutLenBtDO> getPmPlateCutLenBt() {

        return  subMapper.getPmPlateCutLenBt();

    }

    //    组板临时收得率基准表
    @Override
    public List<PmPdTmpYieldBtDO> getPmPdTmpYieldBt() {

        return  subMapper.getPmPdTmpYieldBt();

    }

    //    钢板切边量基准表
    @Override
    public List<PmPlateTrimBtDO> getPmPlateTrimBt() {

        return  subMapper.getPmPlateTrimBt();

    }

    //    余材组板内部钢种以优充次对照表
    @Override
    public List<PmSlabReplBtDO> getPmSlabReplBt() {

        return  subMapper.getPmSlabReplBt();

    }

    //    热处理炉基准规格表
    @Override
    public List<PmHeatTreatFurnaceBtDO> getPmHeatTreatFurnaceBt() {

        return  subMapper.getPmHeatTreatFurnaceBt();

    }

    //    特殊钢种余量增加表
    @Override
    public List<PmSpeStAddvBtDO> getPmSpeStAddvBt() {

        return  subMapper.getPmSpeStAddvBt();

    }

    //合同处理成分结果数据
    @Override
    public List<QdToLineupResultCheDO> getQdToLineupResultChe() {
        return  subMapper.getQdToLineupResultChe();
    }

    //合同处理坯料性能要求
    @Override
    public List<QdToLineupResultSlabphyDO> getQdToLineupResultSlabphy() {
        return  subMapper.getQdToLineupResultSlabphy();
    }

    //炉次工序成分代表实绩表
    @Override
    public List<QeTqHeatcheStandResultDO> getQeTqHeatcheStandResult(){
        return  subMapper.getQeTqHeatcheStandResult();
    }

    //炉次待委托表
    @Override
    public List<QeTqPonoWaitTestDO> getQeTqPonoWaitTest(){
        return  subMapper.getQeTqPonoWaitTest();
    }

    //坯料低倍委托实绩表
    @Override
    public List<QeTqSlabMacroResultDO> getQeTqSlabMacroResult(){
        return  subMapper.getQeTqSlabMacroResult();
    }

    //连铸板坯生产规格基准表
    @Override
    public List<PmSlabSpecBtDO> getPmSlabSpecBt(){
        return  subMapper.getPmSlabSpecBt();
    }

    @Override
    public void batchInsert(List<PmSubOrdDO> pmSubOrdDOList) {
        subMapper.batchInsert(pmSubOrdDOList);
    }

    @Override
    public void batchInsertPmSubHisDO(List<PmSubHisDO> pmSubHisDOList) {
        subMapper.batchInsertPmSubHisDO(pmSubHisDOList);
    }

    @Override
    public void InsertPmSubHisDO(PmSubHisDO p) {
        subMapper.InsertPmSubHisDO(p);
    }

    @Override
    public void InsertPmSubOrdDO(PmSubOrdDO p) {
        subMapper.InsertPmSubOrdDO(p);
    }

    @Override
    public List<PmIrsubableContDO> getPmIrsubableCont() {
        return  subMapper.getPmIrsubableCont();
    }

    @Override
    public List<PmIrsubableSlabDO> getPmIrsubableSlab() {
        return  subMapper.getPmIrsubableSlab();
    }

    @Override
    public List<PmAutoSubSettingDO> getPmAutoSubSetting() {
        return  subMapper.getPmAutoSubSetting();
    }

    @Override
    public List<PmRetainStDO> getPmRetainSt() {
        return  subMapper.getPmRetainSt();
    }

    @Override
    public List<PmRetainStackDO> getPmRetainStack() {
        return  subMapper.getPmRetainStack();
    }

    @Override
    public List<PmPdSlabInfoDO> getPmPdSlabInfo(SubParams subParams) {
        return  subMapper.getPmPdSlabInfo(subParams);
    }

    @Override
    public List<QdToPoOrderDO> getQdToPoOrder() {
        return  subMapper.getQdToPoOrder();
    }

    @Override
    public void SaveData(List<PmPdSlabDO> pmPdSlabDOList, List<PmPdPlateCutDO> pmPdPlateCutDOList, List<PmPdBlockPosDO> pmPdBlockPosDOList, List<PmPdContSumDO> pmPdContSumDOList, List<PmSmallPltPosDO> pmSmallPltPosDOList, List<PmCmdSlabDO> pmCmdSlabDOList, List<PmCmdLargePltDO> pmCmdLargePltDOList, List<PmCmdContDO> pmCmdContDOList, List<PmCmdSmallPltDO> pmCmdSmallPltDOList) {

    }

    @Override
    public void batchInsertPmPdSlab(List<PmPdSlabDO> pmPdSlabDOList) {
//        BigDecimal id = subMapper.getMaxPmPdSlabId();
        for (int i = 0 ; i < pmPdSlabDOList.size() ; i++){
//            pmPdSlabDOList.get(i).setPmPdSlabId(id.add(BigDecimal.valueOf(i+1)));
            pmPdSlabDOList.get(i).setTenantId(BigDecimal.valueOf(1));
            pmPdSlabDOList.get(i).setObjectVersionNumber(BigDecimal.valueOf(1));
            subMapper.insertPmPdSlab(pmPdSlabDOList.get(i));
        }
//        subMapper.batchInsertPmPdSlab(pmPdSlabDOList);
    }

    @Override
    public void batchInsertPmCmdSlab(List<PmCmdSlabDO> pmCmdSlabDOList) {
//        BigDecimal id = subMapper.getMaxPmCmdSlabId();
        for (int i = 0 ; i < pmCmdSlabDOList.size() ; i++){
//            pmCmdSlabDOList.get(i).setPmCmdSlabId(id.add(BigDecimal.valueOf(i+1)));
            pmCmdSlabDOList.get(i).setTenantId(BigDecimal.valueOf(1));
            pmCmdSlabDOList.get(i).setObjectVersionNumber(BigDecimal.valueOf(1));
            subMapper.insertPmCmdSlab(pmCmdSlabDOList.get(i));
        }
//        subMapper.batchInsertPmCmdSlab(pmCmdSlabDOList);
    }

    @Override
    public void insertPmPdSlab(PmPdSlabDO p) {
        subMapper.insertPmPdSlab(p);
    }

    @Override
    public void batchInsertPmCmdLargePlt(List<PmCmdLargePltDO> pmCmdLargePltDOList) {
//        BigDecimal id = subMapper.getMaxPmCmdLargePltId();
        for (int i = 0 ; i < pmCmdLargePltDOList.size() ; i++){
//            pmCmdLargePltDOList.get(i).setPmCmdLargePltId(id.add(BigDecimal.valueOf(i+1)));
            pmCmdLargePltDOList.get(i).setTenantId(BigDecimal.valueOf(1));
            pmCmdLargePltDOList.get(i).setObjectVersionNumber(BigDecimal.valueOf(1));
            subMapper.insertPmCmdLargePlt(pmCmdLargePltDOList.get(i));
        }
    }

    @Override
    public void batchInsertPmPdPlateCut(List<PmPdPlateCutDO> pmPdPlateCutDOList) {
//        BigDecimal id = subMapper.getMaxPmPdPlateCutId();
        for (int i = 0 ; i < pmPdPlateCutDOList.size() ; i++){
//            pmPdPlateCutDOList.get(i).setCutId(id.add(BigDecimal.valueOf(i+1)));
            pmPdPlateCutDOList.get(i).setTenantId(BigDecimal.valueOf(1));
            pmPdPlateCutDOList.get(i).setObjectVersionNumber(BigDecimal.valueOf(1));
            subMapper.insertPmPdPlateCut(pmPdPlateCutDOList.get(i));
        }
    }

    @Override
    public void batchInsertPmPdBlockPos(List<PmPdBlockPosDO> pmPdBlockPosDOList) {
//        BigDecimal id = subMapper.getMaxPmPdBlockPosId();
        for (int i = 0 ; i < pmPdBlockPosDOList.size() ; i++){
//            pmPdBlockPosDOList.get(i).setPdBlockPosId(id.add(BigDecimal.valueOf(i+1)));
            pmPdBlockPosDOList.get(i).setTenantId(BigDecimal.valueOf(1));
            pmPdBlockPosDOList.get(i).setObjectVersionNumber(BigDecimal.valueOf(1));
            subMapper.insertPmPdBlockPos(pmPdBlockPosDOList.get(i));
        }
    }

    @Override
    public void batchInsertPmPdContSum(List<PmPdContSumDO> pmPdContSumDOList) {
//        BigDecimal id = subMapper.getMaxPmPdContSumId();
        for (int i = 0 ; i < pmPdContSumDOList.size() ; i++){
//            pmPdContSumDOList.get(i).setPpcsId(id.add(BigDecimal.valueOf(i+1)));
            pmPdContSumDOList.get(i).setTenantId(BigDecimal.valueOf(1));
            pmPdContSumDOList.get(i).setObjectVersionNumber(BigDecimal.valueOf(1));
            subMapper.insertPmPdContSum(pmPdContSumDOList.get(i));
        }
    }

    @Override
    public void batchInsertPmSmallPltPos(List<PmSmallPltPosDO> pmSmallPltPosDOList) {
//        BigDecimal id = subMapper.getMaxPmSmallPltPosId();
        for (int i = 0 ; i < pmSmallPltPosDOList.size() ; i++){
//            pmSmallPltPosDOList.get(i).setPsppId(id.add(BigDecimal.valueOf(i+1)));
            pmSmallPltPosDOList.get(i).setTenantId(BigDecimal.valueOf(1));
            pmSmallPltPosDOList.get(i).setObjectVersionNumber(BigDecimal.valueOf(1));
            subMapper.insertPmSmallPltPos(pmSmallPltPosDOList.get(i));
        }
    }

    @Override
    public void batchInsertPmCmdSmallPlt(List<PmCmdSmallPltDO> pmCmdSmallPltDOList) {
//        BigDecimal id = subMapper.getMaxPmCmdSmallPltId();
        for (int i = 0 ; i < pmCmdSmallPltDOList.size() ; i++){
//            pmCmdSmallPltDOList.get(i).setPmCmdSmallPltId(id.add(BigDecimal.valueOf(i+1)));
            pmCmdSmallPltDOList.get(i).setTenantId(BigDecimal.valueOf(1));
            pmCmdSmallPltDOList.get(i).setObjectVersionNumber(BigDecimal.valueOf(1));
            subMapper.insertPmCmdSmallPlt(pmCmdSmallPltDOList.get(i));
        }
    }

    @Override
    public void batchInsertPmCmdCont(List<PmCmdContDO> pmCmdContDOList) {
//        BigDecimal id = subMapper.getMaxPmCmdContId();
        for (int i = 0 ; i < pmCmdContDOList.size() ; i++){
//            pmCmdContDOList.get(i).setPmCmdContId(id.add(BigDecimal.valueOf(i+1)));
            pmCmdContDOList.get(i).setTenantId(BigDecimal.valueOf(1));
            pmCmdContDOList.get(i).setObjectVersionNumber(BigDecimal.valueOf(1));
            subMapper.insertPmCmdCont(pmCmdContDOList.get(i));
        }
    }

    @Override
    public String GetMaxSeq(String pono) {
        return  subMapper.GetMaxSeq(pono);
    }

    @Override
    public List<PmThickAddvBtDO> getPmThickAddvBt() {
        return  subMapper.getPmThickAddvBt();
    }


}
